package cn.com.qmth.examcloud.service.core.service;

import java.util.Date;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.service.core.entity.StudentFaceInfo;
import cn.com.qmth.examcloud.service.core.repo.StudentFaceInfoRepo;


@Service
public class StudentFaceInfoService {

    @Autowired
    StudentFaceInfoRepo studentFaceInfoRepo;

    @Transactional
    public StudentFaceInfo save(StudentFaceInfo studentFaceInfo) {
    	StudentFaceInfo old = studentFaceInfoRepo.findByStudentId(studentFaceInfo.getStudent().getId());
    	if(old == null){
			studentFaceInfo.setCreateTime(new Date());
			return studentFaceInfoRepo.save(studentFaceInfo);
    	}
    	old.setUpdateTime(new Date());
    	old.setFaceSetToken(studentFaceInfo.getFaceSetToken());
    	old.setFaceToken(studentFaceInfo.getFaceToken());
    	old.setPhotoMD5(studentFaceInfo.getPhotoMD5());
        return studentFaceInfoRepo.save(old);
    }

}
