package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.core.entity.Org;

/**
 * Created by songyue on 17/1/13.
 */
public interface OrgRepo extends JpaRepository<Org,Long>,QueryByExampleExecutor<Org>{

    List<Org> findByRootId(long rootId);

    List<Org> findByParentId(long parentId);

    @Query(nativeQuery = true,value = "select *from ecs_core_org where id=:parentId or parent_id=:parentId")
    List<Org> findAllByParentId(@Param("parentId") long parentId);

	Org findFirstByParentIdAndCode(Long parentId, String code);
}
